G2A Many GEOs
SHARE
TWEET

installing-ruby-on-rails-on-debian 3

Juc1 Oct 3rd, 2012 252 Never
Not a member of Pastebin yet? Sign Up, it unlocks many cool features!
  1. $ curl -L get.rvm.io | bash -s stable
  2.   % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
  3.                                  Dload  Upload   Total   Spent    Left  Speed
  4.  
  5.   0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
  6. 100   185  100   185    0     0    516      0 --:--:-- --:--:-- --:--:--  2078
  7. 100 10009  100 10009    0     0  14950      0 --:--:-- --:--:-- --:--:-- 14950
  8. Downloading RVM from wayneeseguin branch stable
  9.   % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
  10.                                  Dload  Upload   Total   Spent    Left  Speed
  11.  
  12.   0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
  13. 100   125  100   125    0     0    650      0 --:--:-- --:--:-- --:--:--   992
  14.   0   125    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
  15. 100 1084k  100 1084k    0     0  1066k      0  0:00:01  0:00:01 --:--:-- 1650k
  16.  
  17. Installing RVM to /home/johndoe/.rvm/
  18.     Adding rvm PATH line to /home/johndoe/.bashrc /home/johndoe/.zshenv.
  19.     Adding rvm loading line to /home/johndoe/.bash_profile /home/johndoe/.zprofile.
  20.  
  21. # RVM:  Shell scripts enabling management of multiple ruby environments.
  22. # RTFM: https://rvm.io/
  23. # HELP: http://webchat.freenode.net/?channels=rvm (#rvm on irc.freenode.net)
  24. # Cheatsheet: http://cheat.errtheblog.com/s/rvm/
  25. # Screencast: http://screencasts.org/episodes/how-to-use-rvm
  26.  
  27. # In case of any issues read output of 'rvm requirements' and/or 'rvm notes'
  28.  
  29. Installation of RVM in /home/johndoe/.rvm/ is almost complete:
  30.  
  31.   * To start using RVM you need to run `source /home/johndoe/.rvm/scripts/rvm`
  32.     in all your open shell windows, in rare cases you need to reopen all shell windows.
  33.  
  34. # johndoe,
  35. #
  36. #   Thank you for using RVM!
  37. #   I sincerely hope that RVM helps to make your life easier and more enjoyable!!!
  38. #
  39. # ~Wayne
  40.  
  41.  
  42. rvm 1.16.6 (stable) by Wayne E. Seguin <wayneeseguin@gmail.com>, Michal Papis <mpapis@gmail.com> [https://rvm.io/]
  43.  
  44. $ source $HOME/.rvm/scripts/rvm
  45. $ rvm get head && rvm reload
  46.   % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
  47.                                  Dload  Upload   Total   Spent    Left  Speed
  48.  
  49.   0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
  50. 100   185  100   185    0     0    355      0 --:--:-- --:--:-- --:--:--   485
  51.   0   185    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
  52. 100 10009  100 10009    0     0  13560      0 --:--:-- --:--:-- --:--:--  117k
  53. Downloading RVM from wayneeseguin branch master
  54.   % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
  55.                                  Dload  Upload   Total   Spent    Left  Speed
  56.  
  57.   0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
  58. 100   125  100   125    0     0    559      0 --:--:-- --:--:-- --:--:--   905
  59.   0 1084k    0  2896    0     0   5273      0  0:03:30 --:--:--  0:03:30  5273
  60. 100 1084k  100 1084k    0     0  1100k      0 --:--:-- --:--:-- --:--:-- 2481k
  61.  
  62. Upgrading the RVM installation in /home/johndoe/.rvm/
  63.     RVM PATH line found in /home/johndoe/.bashrc /home/johndoe/.zshenv.
  64.     RVM sourcing line found in /home/johndoe/.bash_profile /home/johndoe/.zprofile.
  65.  
  66. Upgrade Notes:
  67.  
  68.   * No new notes to display.
  69.  
  70. # RVM:  Shell scripts enabling management of multiple ruby environments.
  71. # RTFM: https://rvm.io/
  72. # HELP: http://webchat.freenode.net/?channels=rvm (#rvm on irc.freenode.net)
  73. # Cheatsheet: http://cheat.errtheblog.com/s/rvm/
  74. # Screencast: http://screencasts.org/episodes/how-to-use-rvm
  75.  
  76. # In case of any issues read output of 'rvm requirements' and/or 'rvm notes'
  77.  
  78. Upgrade of RVM in /home/johndoe/.rvm/ is complete.
  79.  
  80. # johndoe,
  81. #
  82. #   Thank you for using RVM!
  83. #   I sincerely hope that RVM helps to make your life easier and
  84. #   more enjoyable!!!
  85. #
  86. # ~Wayne
  87.  
  88.  
  89. rvm 1.16.6 (master) by Wayne E. Seguin <wayneeseguin@gmail.com>, Michal Papis <mpapis@gmail.com> [https://rvm.io/]
  90.  
  91. RVM reloaded!
  92. RVM reloaded!
  93. $ rvm install 1.9.3 --with-openssl-dir=$HOME/.rvm.usr
  94.  
  95. Ruby (and needed base gems) for your selection will be installed shortly.
  96. Before it happens, please read and execute the instructions below.
  97. Please use a separate terminal to execute any additional commands.
  98.  
  99. Requirements for Linux Debian 6.0.4
  100.  
  101. NOTE: 'ruby' represents Matz's Ruby Interpreter (MRI) (1.8.X, 1.9.X)
  102.              This is the *original* / standard Ruby Language Interpreter
  103.       'ree'  represents Ruby Enterprise Edition
  104.       'rbx'  represents Rubinius
  105.  
  106. bash >= 4.1 required
  107. curl is required
  108. git is required (>= 1.7 for ruby-head)
  109. patch is required (for 1.8 rubies and some ruby-head's).
  110.  
  111. To install rbx and/or Ruby 1.9 head (MRI) (eg. 1.9.2-head),
  112. then you must install and use rvm 1.8.7 first.
  113.  
  114. Additional Dependencies:
  115. # For Ruby / Ruby HEAD (MRI, Rubinius, & REE), install the following:
  116.   ruby: /usr/bin/apt-get install build-essential openssl libreadline6 libreadlin e6-dev curl git-core zlib1g zlib1g-dev libssl-dev libyaml-dev libsqlite3-dev sql :Ruby (and needed base gems) for your selection will be installed shortly.
  117. Before it happens, please read and execute the instructions below.
  118. Please use a separate terminal to execute any additional commands.
  119.  
  120. Requirements for Linux Debian 6.0.4
  121.  
  122. NOTE: 'ruby' represents Matz's Ruby Interpreter (MRI) (1.8.X, 1.9.X)
  123.              This is the *original* / standard Ruby Language Interpreter
  124.       'ree'  represents Ruby Enterprise Edition
  125.       'rbx'  represents Rubinius
  126.  
  127. bash >= 4.1 required
  128. curl is required
  129. git is required (>= 1.7 for ruby-head)
  130. patch is required (for 1.8 rubies and some ruby-head's).
  131.  
  132. To install rbx and/or Ruby 1.9 head (MRI) (eg. 1.9.2-head),
  133. then you must install and use rvm 1.8.7 first.
  134.  
  135. Additional Dependencies:
  136. # For Ruby / Ruby HEAD (MRI, Rubinius, & REE), install the following:
  137.   ruby: /usr/bin/apt-get install build-essential openssl libreadline6 libreadline6-dev curl git-core zlib1g  zlib1g-dev libssl-dev libyaml-dev libsqlite3-dev sqlite3 libxml2-dev libxslt-dev autoconf libc6-dev ncurses- 
  138. :
  139. Ruby (and needed base gems) for your selection will be installed shortly.
  140. Before it happens, please read and execute the instructions below.
  141. Please use a separate terminal to execute any additional commands.
  142.  
  143. Requirements for Linux Debian 6.0.4
  144.  
  145. NOTE: 'ruby' represents Matz's Ruby Interpreter (MRI) (1.8.X, 1.9.X)
  146.              This is the *original* / standard Ruby Language Interpreter
  147.       'ree'  represents Ruby Enterprise Edition
  148.       'rbx'  represents Rubinius
  149.  
  150. bash >= 4.1 required
  151. curl is required
  152. git is required (>= 1.7 for ruby-head)
  153. patch is required (for 1.8 rubies and some ruby-head's).
  154.  
  155. To install rbx and/or Ruby 1.9 head (MRI) (eg. 1.9.2-head),
  156. then you must install and use rvm 1.8.7 first.
  157.  
  158. Additional Dependencies:
  159. # For Ruby / Ruby HEAD (MRI, Rubinius, & REE), install the following:
  160.   ruby: /usr/bin/apt-get install build-essential openssl libreadline6 libreadline6-dev curl git-core zlib1g  zlib1g-dev libssl-dev libyaml-dev libsqlite3-dev sqlite3 libxml2-dev libxslt-dev autoconf libc6-dev ncurses- dev automake libtool bison subversion pkg-config
  161.  
  162. # For JRuby, install the following:
  163.   jruby: /usr/bin/apt-get install curl g++ openjdk-6-jre-headless
  164.   jruby-head: /usr/bin/apt-get install ant openjdk-6-jdk
  165.  
  166. # For IronRuby, install the following:
  167.   ironruby: /usr/bin/apt-get install curl mono-2.0-devel
  168. Ruby (and needed base gems) for your selection will be installed shortly.
  169. Before it happens, please read and execute the instructions below.
  170. Please use a separate terminal to execute any additional commands.
  171.  
  172. Requirements for Linux Debian 6.0.4
  173.  
  174. NOTE: 'ruby' represents Matz's Ruby Interpreter (MRI) (1.8.X, 1.9.X)
  175.              This is the *original* / standard Ruby Language Interpreter
  176.       'ree'  represents Ruby Enterprise Edition
  177.       'rbx'  represents Rubinius
  178.  
  179. bash >= 4.1 required
  180. curl is required
  181. git is required (>= 1.7 for ruby-head)
  182. patch is required (for 1.8 rubies and some ruby-head's).
  183.  
  184. To install rbx and/or Ruby 1.9 head (MRI) (eg. 1.9.2-head),
  185. then you must install and use rvm 1.8.7 first.
  186.  
  187. Additional Dependencies:
  188. # For Ruby / Ruby HEAD (MRI, Rubinius, & REE), install the following:
  189.   ruby: /usr/bin/apt-get install build-essential openssl libreadline6 libreadline6-dev curl git-core zlib1g zlib1g-dev  libssl-dev libyaml-dev libsqlite3-dev sqlite3 libxml2-dev libxslt-dev autoconf libc6-dev ncurses-dev automake libtool  bison subversion pkg-config
  190.  
  191. # For JRuby, install the following:
  192.   jruby: /usr/bin/apt-get install curl g++ openjdk-6-jre-headless
  193.   jruby-head: /usr/bin/apt-get install ant openjdk-6-jdk
  194.  
  195. # For IronRuby, install the following:
  196.   ironruby: /usr/bin/apt-get install curl mono-2.0-devel
  197. Ruby (and needed base gems) for your selection will be installed shortly.
  198. Before it happens, please read and execute the instructions below.
  199. Please use a separate terminal to execute any additional commands.
  200.  
  201. Requirements for Linux Debian 6.0.4
  202.  
  203. NOTE: 'ruby' represents Matz's Ruby Interpreter (MRI) (1.8.X, 1.9.X)
  204.              This is the *original* / standard Ruby Language Interpreter
  205.       'ree'  represents Ruby Enterprise Edition
  206.       'rbx'  represents Rubinius
  207.  
  208. bash >= 4.1 required
  209. curl is required
  210. git is required (>= 1.7 for ruby-head)
  211. patch is required (for 1.8 rubies and some ruby-head's).
  212.  
  213. To install rbx and/or Ruby 1.9 head (MRI) (eg. 1.9.2-head),
  214. then you must install and use rvm 1.8.7 first.
  215.  
  216. Additional Dependencies:
  217. # For Ruby / Ruby HEAD (MRI, Rubinius, & REE), install the following:
  218.   ruby: /usr/bin/apt-get install build-essential openssl libreadline6 libreadline6-dev curl git-core zlib1g zlib1g-dev libssl-dev  libyaml-dev libsqlite3-dev sqlite3 libxml2-dev libxslt-dev autoconf libc6-dev ncurses-dev automake libtool bison subversion pkg- config
  219.  
  220. # For JRuby, install the following:
  221.   jruby: /usr/bin/apt-get install curl g++ openjdk-6-jre-headless
  222.   jruby-head: /usr/bin/apt-get install ant openjdk-6-jdk
  223.  
  224. # For IronRuby, install the following:
  225.   ironruby: /usr/bin/apt-get install curl mono-2.0-devel
  226.  Ruby (and needed base gems) for your selection will be installed shortly.
  227. Before it happens, please read and execute the instructions below.
  228. Please use a separate terminal to execute any additional commands.
  229.  
  230. Requirements for Linux Debian 6.0.4
  231.  
  232. NOTE: 'ruby' represents Matz's Ruby Interpreter (MRI) (1.8.X, 1.9.X)
  233.              This is the *original* / standard Ruby Language Interpreter
  234.       'ree'  represents Ruby Enterprise Edition
  235.       'rbx'  represents Rubinius
  236.  
  237. bash >= 4.1 required
  238. curl is required
  239. git is required (>= 1.7 for ruby-head)
  240. patch is required (for 1.8 rubies and some ruby-head's).
  241.  
  242. To install rbx and/or Ruby 1.9 head (MRI) (eg. 1.9.2-head),
  243. then you must install and use rvm 1.8.7 first.
  244.  
  245. Additional Dependencies:
  246. # For Ruby / Ruby HEAD (MRI, Rubinius, & REE), install the following:
  247.   ruby: /usr/bin/apt-get install build-essential openssl libreadline6 libreadline6-dev curl git-core zlib1g zlib1g-dev libssl-dev libyaml-dev libsqlite3-dev sqlite3 lib xml2-dev libxslt-dev autoconf libc6-dev ncurses-dev automake libtool bison subversion pkg-config
  248.  
  249. # For JRuby, install the following:
  250.   jruby: /usr/bin/apt-get install curl g++ openjdk-6-jre-headless
  251.   jruby-head: /usr/bin/apt-get install ant openjdk-6-jdk
  252.  
  253. # For IronRuby, install the following:
  254.   ironruby: /usr/bin/apt-get install curl mono-2.0-devel
  255.  
  256. Press 'q' to continue.
  257. Fetching yaml-0.1.4.tar.gz to /home/johndoe/.rvm/archives
  258.   % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
  259.                                  Dload  Upload   Total   Spent    Left  Speed
  260.  
  261.   0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
  262.   3  460k    3 16150    0     0  21168      0  0:00:22 --:--:--  0:00:22 29151
  263. 100  460k  100  460k    0     0   323k      0  0:00:01  0:00:01 --:--:--  379k
  264. Extracting yaml-0.1.4.tar.gz to /home/johndoe/.rvm/src
  265. Configuring yaml in /home/johndoe/.rvm/src/yaml-0.1.4.
  266. Compiling yaml in /home/johndoe/.rvm/src/yaml-0.1.4.
  267. Installing yaml to /home/johndoe/.rvm/usr
  268. Installing Ruby from source to: /home/johndoe/.rvm/rubies/ruby-1.9.3-p194, this may take a while depending on your cpu(s)...
  269. ruby-1.9.3-p194 - #downloading ruby-1.9.3-p194, this may take a while depending on your connection...
  270. ruby-1.9.3-p194 - #extracting ruby-1.9.3-p194 to /home/johndoe/.rvm/src/ruby-1.9.3-p194
  271. ruby-1.9.3-p194 - #extracted to /home/johndoe/.rvm/src/ruby-1.9.3-p194
  272. ruby-1.9.3-p194 - #configuring
  273. ruby-1.9.3-p194 - #compiling
  274. ruby-1.9.3-p194 - #installing
  275. Retrieving rubygems-1.8.24
  276.   % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
  277.                                  Dload  Upload   Total   Spent    Left  Speed
  278.  
  279.   0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
  280. 100  371k  100  371k    0     0   707k      0 --:--:-- --:--:-- --:--:-- 1079k
  281. Extracting rubygems-1.8.24 ...
  282. Removing old Rubygems files...
  283. Installing rubygems-1.8.24 for ruby-1.9.3-p194 ...
  284. Installation of rubygems completed successfully.
  285. Saving wrappers to '/home/johndoe/.rvm/bin'.
  286. ruby-1.9.3-p194 - #adjusting #shebangs for (gem irb erb ri rdoc testrb rake).
  287. ruby-1.9.3-p194 - #importing default gemsets (/home/johndoe/.rvm/gemsets/)
  288. Install of ruby-1.9.3-p194 - #complete
  289.  
  290. $ gem install rails -v 3.2.3
  291. /home/johndoe/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/1.9.1/yaml.rb:56:in `<top (required)>':
  292. It seems your ruby installation is missing psych (for YAML output).
  293. To eliminate this warning, please install libyaml and reinstall your ruby.
  294. Fetching: i18n-0.6.1.gem
  295. Fetching: i18n-0.6.1.gem ( 23%)
  296. Fetching: i18n-0.6.1.gem ( 50%)
  297. Fetching: i18n-0.6.1.gem ( 61%)
  298. Fetching: i18n-0.6.1.gem ( 88%)
  299. Fetching: i18n-0.6.1.gem (100%)
  300. Fetching: i18n-0.6.1.gem (100%)
  301. Fetching: multi_json-1.3.6.gem
  302. Fetching: multi_json-1.3.6.gem (100%)
  303. Fetching: multi_json-1.3.6.gem (100%)
  304. Fetching: activesupport-3.2.3.gem
  305. Fetching: activesupport-3.2.3.gem (  6%)
  306. Fetching: activesupport-3.2.3.gem ( 11%)
  307. Fetching: activesupport-3.2.3.gem ( 16%)
  308. Fetching: activesupport-3.2.3.gem ( 21%)
  309. Fetching: activesupport-3.2.3.gem ( 23%)
  310. Fetching: activesupport-3.2.3.gem ( 29%)
  311. Fetching: activesupport-3.2.3.gem ( 34%)
  312. Fetching: activesupport-3.2.3.gem ( 36%)
  313. Fetching: activesupport-3.2.3.gem ( 42%)
  314. Fetching: activesupport-3.2.3.gem ( 47%)
  315. Fetching: activesupport-3.2.3.gem ( 52%)
  316. Fetching: activesupport-3.2.3.gem ( 57%)
  317. Fetching: activesupport-3.2.3.gem ( 62%)
  318. Fetching: activesupport-3.2.3.gem ( 64%)
  319. Fetching: activesupport-3.2.3.gem ( 68%)
  320. Fetching: activesupport-3.2.3.gem ( 73%)
  321. Fetching: activesupport-3.2.3.gem ( 78%)
  322. Fetching: activesupport-3.2.3.gem ( 84%)
  323. Fetching: activesupport-3.2.3.gem ( 88%)
  324. Fetching: activesupport-3.2.3.gem ( 93%)
  325. Fetching: activesupport-3.2.3.gem ( 98%)
  326. Fetching: activesupport-3.2.3.gem (100%)
  327. Fetching: activesupport-3.2.3.gem (100%)
  328. Fetching: builder-3.0.3.gem
  329. Fetching: builder-3.0.3.gem ( 61%)
  330. Fetching: builder-3.0.3.gem (100%)
  331. Fetching: builder-3.0.3.gem (100%)
  332. Fetching: activemodel-3.2.3.gem
  333. Fetching: activemodel-3.2.3.gem ( 25%)
  334. Fetching: activemodel-3.2.3.gem ( 61%)
  335. Fetching: activemodel-3.2.3.gem ( 86%)
  336. Fetching: activemodel-3.2.3.gem (100%)
  337. Fetching: activemodel-3.2.3.gem (100%)
  338. Fetching: rack-1.4.1.gem
  339. Fetching: rack-1.4.1.gem ( 10%)
  340. Fetching: rack-1.4.1.gem ( 20%)
  341. Fetching: rack-1.4.1.gem ( 29%)
  342. Fetching: rack-1.4.1.gem ( 31%)
  343. Fetching: rack-1.4.1.gem ( 41%)
  344. Fetching: rack-1.4.1.gem ( 45%)
  345. Fetching: rack-1.4.1.gem ( 53%)
  346. Fetching: rack-1.4.1.gem ( 63%)
  347. Fetching: rack-1.4.1.gem ( 65%)
  348. Fetching: rack-1.4.1.gem ( 70%)
  349. Fetching: rack-1.4.1.gem ( 79%)
  350. Fetching: rack-1.4.1.gem ( 86%)
  351. Fetching: rack-1.4.1.gem ( 95%)
  352. Fetching: rack-1.4.1.gem (100%)
  353. Fetching: rack-1.4.1.gem (100%)
  354. Fetching: rack-cache-1.2.gem
  355. Fetching: rack-cache-1.2.gem (  7%)
  356. Fetching: rack-cache-1.2.gem ( 13%)
  357. Fetching: rack-cache-1.2.gem ( 19%)
  358. Fetching: rack-cache-1.2.gem ( 25%)
  359. Fetching: rack-cache-1.2.gem ( 31%)
  360. Fetching: rack-cache-1.2.gem ( 38%)
  361. Fetching: rack-cache-1.2.gem ( 42%)
  362. Fetching: rack-cache-1.2.gem ( 48%)
  363. Fetching: rack-cache-1.2.gem ( 55%)
  364. Fetching: rack-cache-1.2.gem ( 61%)
  365. Fetching: rack-cache-1.2.gem ( 63%)
  366. Fetching: rack-cache-1.2.gem ( 70%)
  367. Fetching: rack-cache-1.2.gem ( 75%)
  368. Fetching: rack-cache-1.2.gem ( 81%)
  369. Fetching: rack-cache-1.2.gem ( 87%)
  370. Fetching: rack-cache-1.2.gem ( 94%)
  371. Fetching: rack-cache-1.2.gem (100%)
  372. Fetching: rack-cache-1.2.gem (100%)
  373. Fetching: rack-test-0.6.2.gem
  374. Fetching: rack-test-0.6.2.gem ( 33%)
  375. Fetching: rack-test-0.6.2.gem ( 97%)
  376. Fetching: rack-test-0.6.2.gem (100%)
  377. Fetching: rack-test-0.6.2.gem (100%)
  378. Fetching: journey-1.0.4.gem
  379. Fetching: journey-1.0.4.gem ( 56%)
  380. Fetching: journey-1.0.4.gem (100%)
  381. Fetching: journey-1.0.4.gem (100%)
  382. Fetching: hike-1.2.1.gem
  383. Fetching: hike-1.2.1.gem (100%)
  384. Fetching: hike-1.2.1.gem (100%)
  385. Fetching: tilt-1.3.3.gem
  386. Fetching: tilt-1.3.3.gem ( 44%)
  387. Fetching: tilt-1.3.3.gem ( 89%)
  388. Fetching: tilt-1.3.3.gem (100%)
  389. Fetching: tilt-1.3.3.gem (100%)
  390. Fetching: sprockets-2.1.3.gem
  391. Fetching: sprockets-2.1.3.gem ( 49%)
  392. Fetching: sprockets-2.1.3.gem ( 99%)
  393. Fetching: sprockets-2.1.3.gem (100%)
  394. Fetching: sprockets-2.1.3.gem (100%)
  395. Fetching: erubis-2.7.0.gem
  396. Fetching: erubis-2.7.0.gem ( 10%)
  397. Fetching: erubis-2.7.0.gem ( 19%)
  398. Fetching: erubis-2.7.0.gem ( 29%)
  399. Fetching: erubis-2.7.0.gem ( 30%)
  400. Fetching: erubis-2.7.0.gem ( 34%)
  401. Fetching: erubis-2.7.0.gem ( 43%)
  402. Fetching: erubis-2.7.0.gem ( 51%)
  403. Fetching: erubis-2.7.0.gem ( 60%)
  404. Fetching: erubis-2.7.0.gem ( 65%)
  405. Fetching: erubis-2.7.0.gem ( 75%)
  406. Fetching: erubis-2.7.0.gem ( 82%)
  407. Fetching: erubis-2.7.0.gem ( 92%)
  408. Fetching: erubis-2.7.0.gem ( 98%)
  409. Fetching: erubis-2.7.0.gem (100%)
  410. Fetching: erubis-2.7.0.gem (100%)
  411. Fetching: actionpack-3.2.3.gem
  412. Fetching: actionpack-3.2.3.gem (  2%)
  413. Fetching: actionpack-3.2.3.gem (  7%)
  414. Fetching: actionpack-3.2.3.gem (  8%)
  415. Fetching: actionpack-3.2.3.gem (  9%)
  416. Fetching: actionpack-3.2.3.gem ( 11%)
  417. Fetching: actionpack-3.2.3.gem ( 15%)
  418. Fetching: actionpack-3.2.3.gem ( 16%)
  419. Fetching: actionpack-3.2.3.gem ( 17%)
  420. Fetching: actionpack-3.2.3.gem ( 21%)
  421. Fetching: actionpack-3.2.3.gem ( 22%)
  422. Fetching: actionpack-3.2.3.gem ( 25%)
  423. Fetching: actionpack-3.2.3.gem ( 28%)
  424. Fetching: actionpack-3.2.3.gem ( 32%)
  425. Fetching: actionpack-3.2.3.gem ( 36%)
  426. Fetching: actionpack-3.2.3.gem ( 40%)
  427. Fetching: actionpack-3.2.3.gem ( 45%)
  428. Fetching: actionpack-3.2.3.gem ( 49%)
  429. Fetching: actionpack-3.2.3.gem ( 54%)
  430. Fetching: actionpack-3.2.3.gem ( 55%)
  431. Fetching: actionpack-3.2.3.gem ( 60%)
  432. Fetching: actionpack-3.2.3.gem ( 64%)
  433. Fetching: actionpack-3.2.3.gem ( 68%)
  434. Fetching: actionpack-3.2.3.gem ( 69%)
  435. Fetching: actionpack-3.2.3.gem ( 73%)
  436. Fetching: actionpack-3.2.3.gem ( 75%)
  437. Fetching: actionpack-3.2.3.gem ( 79%)
  438. Fetching: actionpack-3.2.3.gem ( 80%)
  439. Fetching: actionpack-3.2.3.gem ( 84%)
  440. Fetching: actionpack-3.2.3.gem ( 89%)
  441. Fetching: actionpack-3.2.3.gem ( 93%)
  442. Fetching: actionpack-3.2.3.gem ( 98%)
  443. Fetching: actionpack-3.2.3.gem (100%)
  444. Fetching: actionpack-3.2.3.gem (100%)
  445. Fetching: arel-3.0.2.gem
  446. Fetching: arel-3.0.2.gem ( 31%)
  447. Fetching: arel-3.0.2.gem ( 66%)
  448. Fetching: arel-3.0.2.gem (100%)
  449. Fetching: arel-3.0.2.gem (100%)
  450. Fetching: tzinfo-0.3.33.gem
  451. Fetching: tzinfo-0.3.33.gem (  1%)
  452. Fetching: tzinfo-0.3.33.gem (  5%)
  453. Fetching: tzinfo-0.3.33.gem (  7%)
  454. Fetching: tzinfo-0.3.33.gem (  8%)
  455. Fetching: tzinfo-0.3.33.gem ( 12%)
  456. Fetching: tzinfo-0.3.33.gem ( 16%)
  457. Fetching: tzinfo-0.3.33.gem ( 17%)
  458. Fetching: tzinfo-0.3.33.gem ( 18%)
  459. Fetching: tzinfo-0.3.33.gem ( 20%)
  460. Fetching: tzinfo-0.3.33.gem ( 22%)
  461. Fetching: tzinfo-0.3.33.gem ( 27%)
  462. Fetching: tzinfo-0.3.33.gem ( 28%)
  463. Fetching: tzinfo-0.3.33.gem ( 33%)
  464. Fetching: tzinfo-0.3.33.gem ( 38%)
  465. Fetching: tzinfo-0.3.33.gem ( 41%)
  466. Fetching: tzinfo-0.3.33.gem ( 42%)
  467. Fetching: tzinfo-0.3.33.gem ( 44%)
  468. Fetching: tzinfo-0.3.33.gem ( 45%)
  469. Fetching: tzinfo-0.3.33.gem ( 46%)
  470. Fetching: tzinfo-0.3.33.gem ( 49%)
  471. Fetching: tzinfo-0.3.33.gem ( 51%)
  472. Fetching: tzinfo-0.3.33.gem ( 52%)
  473. Fetching: tzinfo-0.3.33.gem ( 57%)
  474. Fetching: tzinfo-0.3.33.gem ( 61%)
  475. Fetching: tzinfo-0.3.33.gem ( 67%)
  476. Fetching: tzinfo-0.3.33.gem ( 72%)
  477. Fetching: tzinfo-0.3.33.gem ( 74%)
  478. Fetching: tzinfo-0.3.33.gem ( 75%)
  479. Fetching: tzinfo-0.3.33.gem ( 80%)
  480. Fetching: tzinfo-0.3.33.gem ( 81%)
  481. Fetching: tzinfo-0.3.33.gem ( 84%)
  482. Fetching: tzinfo-0.3.33.gem ( 88%)
  483. Fetching: tzinfo-0.3.33.gem ( 90%)
  484. Fetching: tzinfo-0.3.33.gem ( 92%)
  485. Fetching: tzinfo-0.3.33.gem ( 94%)
  486. Fetching: tzinfo-0.3.33.gem ( 99%)
  487. Fetching: tzinfo-0.3.33.gem (100%)
  488. Fetching: tzinfo-0.3.33.gem (100%)
  489. Fetching: activerecord-3.2.3.gem
  490. Fetching: activerecord-3.2.3.gem (  4%)
  491. Fetching: activerecord-3.2.3.gem (100%)
  492. Fetching: activerecord-3.2.3.gem (100%)
  493. Fetching: activeresource-3.2.3.gem
  494. Fetching: activeresource-3.2.3.gem ( 30%)
  495. Fetching: activeresource-3.2.3.gem ( 75%)
  496. Fetching: activeresource-3.2.3.gem ( 97%)
  497. Fetching: activeresource-3.2.3.gem (100%)
  498. Fetching: activeresource-3.2.3.gem (100%)
  499. Fetching: mime-types-1.19.gem
  500. Fetching: mime-types-1.19.gem ( 12%)
  501. Fetching: mime-types-1.19.gem ( 38%)
  502. Fetching: mime-types-1.19.gem ( 67%)
  503. Fetching: mime-types-1.19.gem (100%)
  504. Fetching: mime-types-1.19.gem (100%)
  505. Fetching: polyglot-0.3.3.gem
  506. Fetching: polyglot-0.3.3.gem (100%)
  507. Fetching: polyglot-0.3.3.gem (100%)
  508. Fetching: treetop-1.4.10.gem
  509. Fetching: treetop-1.4.10.gem (  9%)
  510. Fetching: treetop-1.4.10.gem (100%)
  511. Fetching: treetop-1.4.10.gem (100%)
  512. Fetching: mail-2.4.4.gem
  513. Fetching: mail-2.4.4.gem ( 13%)
  514. Fetching: mail-2.4.4.gem (100%)
  515. Fetching: mail-2.4.4.gem (100%)
  516. Fetching: actionmailer-3.2.3.gem
  517. Fetching: actionmailer-3.2.3.gem (  6%)
  518. Fetching: actionmailer-3.2.3.gem ( 49%)
  519. Fetching: actionmailer-3.2.3.gem ( 91%)
  520. Fetching: actionmailer-3.2.3.gem (100%)
  521. Fetching: actionmailer-3.2.3.gem (100%)
  522. Fetching: thor-0.14.6.gem
  523. Fetching: thor-0.14.6.gem ( 23%)
  524. Fetching: thor-0.14.6.gem (100%)
  525. Fetching: rack-ssl-1.3.2.gem
  526. Fetching: rack-ssl-1.3.2.gem (100%)
  527. Fetching: rack-ssl-1.3.2.gem (100%)
  528. Fetching: json-1.7.5.gem
  529. Fetching: json-1.7.5.gem (  8%)
  530. Fetching: json-1.7.5.gem (100%)
  531. Building native extensions.  This could take a while...
  532. Fetching: rdoc-3.12.gem
  533. Fetching: rdoc-3.12.gem (  1%)
  534. Fetching: rdoc-3.12.gem (100%)
  535. Depending on your version of ruby, you may need to install ruby rdoc/ri data:
  536.  
  537. <= 1.8.6 : unsupported
  538.  = 1.8.7 : gem install rdoc-data; rdoc-data --install
  539.  = 1.9.1 : gem install rdoc-data; rdoc-data --install
  540. >= 1.9.2 : nothing to do! Yay!
  541. Fetching: railties-3.2.3.gem
  542. Fetching: railties-3.2.3.gem (  1%)
  543. Fetching: railties-3.2.3.gem (100%)
  544. Fetching: railties-3.2.3.gem (100%)
  545. Fetching: rails-3.2.3.gem
  546. Fetching: rails-3.2.3.gem (100%)
  547. Fetching: rails-3.2.3.gem (100%)
  548. Successfully installed i18n-0.6.1
  549. Successfully installed multi_json-1.3.6
  550. Successfully installed activesupport-3.2.3
  551. Successfully installed builder-3.0.3
  552. Successfully installed activemodel-3.2.3
  553. Successfully installed rack-1.4.1
  554. Successfully installed rack-cache-1.2
  555. Successfully installed rack-test-0.6.2
  556. Successfully installed journey-1.0.4
  557. Successfully installed hike-1.2.1
  558. Successfully installed tilt-1.3.3
  559. Successfully installed sprockets-2.1.3
  560. Successfully installed erubis-2.7.0
  561. Successfully installed actionpack-3.2.3
  562. Successfully installed arel-3.0.2
  563. Successfully installed tzinfo-0.3.33
  564. Successfully installed activerecord-3.2.3
  565. Successfully installed activeresource-3.2.3
  566. Successfully installed mime-types-1.19
  567. Successfully installed polyglot-0.3.3
  568. Successfully installed treetop-1.4.10
  569. Successfully installed mail-2.4.4
  570. Successfully installed actionmailer-3.2.3
  571. Successfully installed thor-0.14.6
  572. Successfully installed rack-ssl-1.3.2
  573. Successfully installed json-1.7.5
  574. Successfully installed rdoc-3.12
  575. Successfully installed railties-3.2.3
  576. Successfully installed rails-3.2.3
  577. 29 gems installed
  578. Installing ri documentation for i18n-0.6.1...
  579. unable to convert U+00C0 from UTF-8 to US-ASCII for lib/i18n/backend/transliterator.rb, skipping
  580. unable to convert U+00E4 from UTF-8 to US-ASCII for lib/i18n/tests/localization/date.rb, skipping
  581. unable to convert U+00E4 from UTF-8 to US-ASCII for lib/i18n/tests/localization/time.rb, skipping
  582. unable to convert U+0421 from UTF-8 to US-ASCII for lib/i18n/tests/localization/procs.rb, skipping
  583. unable to convert U+00E4 from UTF-8 to US-ASCII for lib/i18n/tests/localization/date_time.rb, skipping
  584. unable to convert U+00E4 from UTF-8 to US-ASCII for lib/i18n/tests/interpolation.rb, skipping
  585. unable to convert "\xC2" to UTF-8 in conversion from ASCII-8BIT to UTF-8 to US-ASCII for lib/i18n.rb, skipping
  586. Installing ri documentation for multi_json-1.3.6...
  587. Installing ri documentation for activesupport-3.2.3...
  588. Installing ri documentation for builder-3.0.3...
  589. unable to convert U+00F1 from UTF-8 to US-ASCII for README.rdoc, skipping
  590. Installing ri documentation for activemodel-3.2.3...
  591. Installing ri documentation for rack-1.4.1...
  592. unable to convert "\xC3" to UTF-8 in conversion from ASCII-8BIT to UTF-8 to US-ASCII for README.rdoc, skipping
  593. Installing ri documentation for rack-cache-1.2...
  594. Installing ri documentation for rack-test-0.6.2...
  595. Installing ri documentation for journey-1.0.4...
  596. unable to convert U+03B5 from UTF-8 to US-ASCII for lib/journey/nfa/dot.rb, skipping
  597. unable to convert U+25CB from UTF-8 to US-ASCII for lib/journey/visitors.rb, skipping
  598. Installing ri documentation for hike-1.2.1...
  599. Installing ri documentation for tilt-1.3.3...
  600. Installing ri documentation for sprockets-2.1.3...
  601. Installing ri documentation for erubis-2.7.0...
  602. Installing ri documentation for actionpack-3.2.3...
  603. unable to convert U+20AC from UTF-8 to US-ASCII for lib/action_view/helpers/number_helper.rb, skipping
  604. Installing ri documentation for arel-3.0.2...
  605. Installing ri documentation for tzinfo-0.3.33...
  606. Installing ri documentation for activerecord-3.2.3...
  607. unable to convert U+00E9 from UTF-8 to US-ASCII for lib/active_record/relation.rb, skipping
  608. Installing ri documentation for activeresource-3.2.3...
  609. Installing ri documentation for mime-types-1.19...
  610. unable to convert U+2013 from UTF-8 to US-ASCII for lib/mime/types.rb, skipping
  611. unable to convert "\xC3" to UTF-8 in conversion from ASCII-8BIT to UTF-8 to US-ASCII for lib/mime/types/application, skipping
  612. unable to convert "\xC3" to UTF-8 in conversion from ASCII-8BIT to UTF-8 to US-ASCII for History.rdoc, skipping
  613. unable to convert "\xE2" to UTF-8 in conversion from ASCII-8BIT to UTF-8 to US-ASCII for Licence.rdoc, skipping
  614. Installing ri documentation for polyglot-0.3.3...
  615. Installing ri documentation for treetop-1.4.10...
  616. Installing ri documentation for mail-2.4.4...
  617. unable to convert U+3042 from UTF-8 to US-ASCII for lib/mail/encodings.rb, skipping
  618. unable to convert U+00E9 from UTF-8 to US-ASCII for lib/mail/configuration.rb, skipping
  619. unable to convert "\xC3" to UTF-8 in conversion from ASCII-8BIT to UTF-8 to US-ASCII for lib/mail/multibyte/unicode.rb, skipping
  620. unable to convert U+00E9 from UTF-8 to US-ASCII for lib/mail/multibyte/chars.rb, skipping
  621. unable to convert U+00FC from UTF-8 to US-ASCII for lib/mail/core_extensions/string/multibyte.rb, skipping
  622. unable to convert U+3042 from UTF-8 to US-ASCII for lib/mail/message.rb, skipping
  623. unable to convert "\xC3" to UTF-8 in conversion from ASCII-8BIT to UTF-8 to US-ASCII for CHANGELOG.rdoc, skipping
  624. Installing ri documentation for actionmailer-3.2.3...
  625. Installing ri documentation for thor-0.14.6...
  626. unable to convert "\xC3" to UTF-8 in conversion from ASCII-8BIT to UTF-8 to US-ASCII for lib/thor/invocation.rb, skipping
  627. unable to convert "\xE2" to UTF-8 in conversion from ASCII-8BIT to UTF-8 to US-ASCII for README.md, skipping
  628. Installing ri documentation for rack-ssl-1.3.2...
  629. Installing ri documentation for json-1.7.5...
  630. Installing ri documentation for rdoc-3.12...
  631. unable to convert U+201D from UTF-8 to US-ASCII for lib/rdoc/text.rb, skipping
  632. unable to convert "\xD0" to UTF-8 in conversion from ASCII-8BIT to UTF-8 to US-ASCII for History.rdoc, skipping
  633. unable to convert U+0412 from UTF-8 to US-ASCII for LEGAL.rdoc, skipping
  634. Installing ri documentation for railties-3.2.3...
  635. Installing ri documentation for rails-3.2.3...
  636. Installing RDoc documentation for i18n-0.6.1...
  637. unable to convert U+00C0 from UTF-8 to US-ASCII for lib/i18n/backend/transliterator.rb, skipping
  638. unable to convert U+00E4 from UTF-8 to US-ASCII for lib/i18n/tests/localization/date.rb, skipping
  639. unable to convert U+00E4 from UTF-8 to US-ASCII for lib/i18n/tests/localization/time.rb, skipping
  640. unable to convert U+0421 from UTF-8 to US-ASCII for lib/i18n/tests/localization/procs.rb, skipping
  641. unable to convert U+00E4 from UTF-8 to US-ASCII for lib/i18n/tests/localization/date_time.rb, skipping
  642. unable to convert U+00E4 from UTF-8 to US-ASCII for lib/i18n/tests/interpolation.rb, skipping
  643. unable to convert "\xC2" to UTF-8 in conversion from ASCII-8BIT to UTF-8 to US-ASCII for lib/i18n.rb, skipping
  644. Installing RDoc documentation for multi_json-1.3.6...
  645. Installing RDoc documentation for activesupport-3.2.3...
  646. Installing RDoc documentation for builder-3.0.3...
  647. unable to convert U+00F1 from UTF-8 to US-ASCII for README.rdoc, skipping
  648. Installing RDoc documentation for activemodel-3.2.3...
  649. Installing RDoc documentation for rack-1.4.1...
  650. unable to convert "\xC3" to UTF-8 in conversion from ASCII-8BIT to UTF-8 to US-ASCII for README.rdoc, skipping
  651. Installing RDoc documentation for rack-cache-1.2...
  652. Installing RDoc documentation for rack-test-0.6.2...
  653. Installing RDoc documentation for journey-1.0.4...
  654. unable to convert U+03B5 from UTF-8 to US-ASCII for lib/journey/nfa/dot.rb, skipping
  655. unable to convert U+25CB from UTF-8 to US-ASCII for lib/journey/visitors.rb, skipping
  656. Installing RDoc documentation for hike-1.2.1...
  657. Installing RDoc documentation for tilt-1.3.3...
  658. Installing RDoc documentation for sprockets-2.1.3...
  659. Installing RDoc documentation for erubis-2.7.0...
  660. Installing RDoc documentation for actionpack-3.2.3...
  661. unable to convert U+20AC from UTF-8 to US-ASCII for lib/action_view/helpers/number_helper.rb, skipping
  662. Installing RDoc documentation for arel-3.0.2...
  663. Installing RDoc documentation for tzinfo-0.3.33...
  664. Installing RDoc documentation for activerecord-3.2.3...
  665. unable to convert U+00E9 from UTF-8 to US-ASCII for lib/active_record/relation.rb, skipping
  666. Installing RDoc documentation for activeresource-3.2.3...
  667. Installing RDoc documentation for mime-types-1.19...
  668. unable to convert U+2013 from UTF-8 to US-ASCII for lib/mime/types.rb, skipping
  669. unable to convert "\xC3" to UTF-8 in conversion from ASCII-8BIT to UTF-8 to US-ASCII for lib/mime/types/application, skipping
  670. unable to convert "\xC3" to UTF-8 in conversion from ASCII-8BIT to UTF-8 to US-ASCII for History.rdoc, skipping
  671. unable to convert "\xE2" to UTF-8 in conversion from ASCII-8BIT to UTF-8 to US-ASCII for Licence.rdoc, skipping
  672. Installing RDoc documentation for polyglot-0.3.3...
  673. Installing RDoc documentation for treetop-1.4.10...
  674. Installing RDoc documentation for mail-2.4.4...
  675. unable to convert U+3042 from UTF-8 to US-ASCII for lib/mail/encodings.rb, skipping
  676. unable to convert U+00E9 from UTF-8 to US-ASCII for lib/mail/configuration.rb, skipping
  677. unable to convert "\xC3" to UTF-8 in conversion from ASCII-8BIT to UTF-8 to US-ASCII for lib/mail/multibyte/unicode.rb, skipping
  678. unable to convert U+00E9 from UTF-8 to US-ASCII for lib/mail/multibyte/chars.rb, skipping
  679. unable to convert U+00FC from UTF-8 to US-ASCII for lib/mail/core_extensions/string/multibyte.rb, skipping
  680. unable to convert U+3042 from UTF-8 to US-ASCII for lib/mail/message.rb, skipping
  681. unable to convert "\xC3" to UTF-8 in conversion from ASCII-8BIT to UTF-8 to US-ASCII for CHANGELOG.rdoc, skipping
  682. Installing RDoc documentation for actionmailer-3.2.3...
  683. Installing RDoc documentation for thor-0.14.6...
  684. unable to convert "\xC3" to UTF-8 in conversion from ASCII-8BIT to UTF-8 to US-ASCII for lib/thor/invocation.rb, skipping
  685. unable to convert "\xE2" to UTF-8 in conversion from ASCII-8BIT to UTF-8 to US-ASCII for README.md, skipping
  686. Installing RDoc documentation for rack-ssl-1.3.2...
  687. Installing RDoc documentation for json-1.7.5...
  688. Installing RDoc documentation for rdoc-3.12...
  689. unable to convert U+201D from UTF-8 to US-ASCII for lib/rdoc/text.rb, skipping
  690. unable to convert "\xD0" to UTF-8 in conversion from ASCII-8BIT to UTF-8 to US-ASCII for History.rdoc, skipping
  691. unable to convert U+0412 from UTF-8 to US-ASCII for LEGAL.rdoc, skipping
  692. Installing RDoc documentation for railties-3.2.3...
  693. Installing RDoc documentation for rails-3.2.3...
  694. $ rails -v
  695. /home/johndoe/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/1.9.1/yaml.rb:56:in `<top (required)>':
  696. It seems your ruby installation is missing psych (for YAML output).
  697. To eliminate this warning, please install libyaml and reinstall your ruby.
  698. Rails 3.2.3
  699. $
RAW Paste Data
Ledger Nano X - The secure hardware wallet
We use cookies for various purposes including analytics. By continuing to use Pastebin, you agree to our use of cookies as described in the Cookies Policy. OK, I Understand
Top